require "atlantis/version"
require 'atlantis/app_client'
require 'atlantis/s3_client'
require 'mime/types'

module Atlantis
  class << self
    def app_client
      @app_client ||= Atlantis::AppClient.new
    end

    def s3_client
      @s3_client ||= Atlantis::S3Client.new
    end

    def upload file, attributes={}
      attributes[:content_type] ||= MIME::Types.type_for(file).try(:first).try(:content_type) || 'application/octet-stream'
      params = app_client.prepare file, attributes
      attributes = params.delete(:attributes)
      params['Content-Type'] = attributes[:content_type]
      params[:file] = Faraday::UploadIO.new(file, params['Content-Type']) 
      response = s3_client.post params
      app_client.create attributes
    end
  end
end
