module Atlantis
  class RequestError < StandardError
    attr_reader :response

    def initialize(response)
      @response = response
      msg = "Error processing request: (#{response.status})! #{response.env[:method]} URL: #{response.env[:url]}"
      msg << "\n Resp Body: #{response.body}"
      super msg
    end

    class NotFound < RequestError
    end

    class Unauthorized < RequestError
    end

  end
end
