require 'active_support/core_ext/object/try'
require 'faraday'
require 'faraday_middleware'

module Atlantis
  class S3Client

    attr_reader :url, :http

    def initialize

      @url = 'https://upload.atlantis.sodalis.com.au.s3.amazonaws.com'
      @http = Faraday.new(url: @url, ssl: {verify: false}) do |builder|
      	builder.request :multipart
      	builder.request :url_encoded
        builder.options[:read_timeout] = 400
        builder.options[:open_timeout] = 200
        builder.adapter :excon
      end

      @http.headers = {
        user_agent: "Atlantis Ruby Gem #{Atlantis::VERSION}",
      }

    end

    def post params={}
      http.post '/', params     
    end
  end
end
